## rust-permutohedron 0.2.4

=== Makefile ===
DOCCRATES = permutohedron

# deps to delete the generated docs
RMDOCS =

FEATURES =

VERSIONS = $(patsubst %,target/VERS/%,$(DOCCRATES))

docs: mkdocs subst $(RMDOCS)

# https://www.gnu.org/software/make/manual/html_node/Automatic-Variables.html
$(VERSIONS): Cargo.toml
	mkdir -p $(@D)
	cargo pkgid $(@F) | sed -e "s/.*#\(\|.*:\)//" > "$@"

$(DOCCRATES): %: target/VERS/%
	# Put in the crate version into the docs
	find ./doc/$@ -name "*.html" -exec sed -i -e "s/<title>\(.*\) - Rust/<title>$@ $(shell cat $<) - \1 - Rust/g" {} \;

subst: $(DOCCRATES)

mkdocs: Cargo.toml
	cargo doc --features=$(FEATURES)
	rm -rf ./doc
	cp -r ./target/doc ./doc
	- cat ./custom.css >> doc/main.css

$(RMDOCS): mkdocs
	rm -r ./doc/$@
	sed -i "/searchIndex\['$@'\]/d" doc/search-index.js


.PHONY: docs mkdocs subst $(DOCCRATES) $(RMDOCS)

=== debian/changelog ===
rust-permutohedron (0.2.4-3) unstable; urgency=medium

  * Package permutohedron 0.2.4 from crates.io using debcargo 2.4.2
  * Mark failing test as broken

 -- Wolfgang Silbermayr <wolfgang@silbermayr.at>  Sun, 26 Jan 2020 00:07:35 +0100

rust-permutohedron (0.2.4-2) unstable; urgency=medium

  * Package permutohedron 0.2.4 from crates.io using debcargo 2.4.2
  * Source-only reupload for migration to testing

 -- Wolfgang Silbermayr <wolfgang@silbermayr.at>  Thu, 23 Jan 2020 09:05:59 +0100

rust-permutohedron (0.2.4-1) unstable; urgency=medium

  * Package permutohedron 0.2.4 from crates.io using debcargo 2.4.0

 -- Wolfgang Silbermayr <wolfgang@silbermayr.at>  Sun, 01 Dec 2019 10:02:24 +0100

=== debian/control ===
Source: rust-permutohedron
Section: rust
Priority: optional
Build-Depends: debhelper (>= 11),
 dh-cargo (>= 18),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Wolfgang Silbermayr <wolfgang@silbermayr.at>
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/permutohedron]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/permutohedron

Package: librust-permutohedron-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends}
Provides:
 librust-permutohedron+default-dev (= ${binary:Version}),
 librust-permutohedron+std-dev (= ${binary:Version}),
 librust-permutohedron-0-dev (= ${binary:Version}),
 librust-permutohedron-0+default-dev (= ${binary:Version}),
 librust-permutohedron-0+std-dev (= ${binary:Version}),
 librust-permutohedron-0.2-dev (= ${binary:Version}),
 librust-permutohedron-0.2+default-dev (= ${binary:Version}),
 librust-permutohedron-0.2+std-dev (= ${binary:Version}),
 librust-permutohedron-0.2.4-dev (= ${binary:Version}),
 librust-permutohedron-0.2.4+default-dev (= ${binary:Version}),
 librust-permutohedron-0.2.4+std-dev (= ${binary:Version})
Description: Generate permutations of sequences - Rust source code
 Either lexicographical order permutations, or a minimal swaps permutation
 sequence implemented using Heap's algorithm.
 .
 This package contains the source for the Rust permutohedron crate, packaged by
 debcargo for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test permutohedron 0.2.4 --all-targets --all-features
Features: test-name=@
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test permutohedron 0.2.4 --all-targets --no-default-features
Features: test-name=librust-permutohedron-dev
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable, flaky

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/permutohedron-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/permutohedron .*/crates/permutohedron/@ANY_VERSION@/download
